---
updatedAt: 2026-03-30T13:15:00.000Z
agentTools:
  siteIndex: https://documentation.bloomreach.com/llms.txt
  projectIndex: https://documentation.bloomreach.com/discovery/llms.txt
---

# More Like This API (MLT) [deprecated]

> 🚧
>
> The More Like This API is now part of the [Recommendations and Pathways](https://documentation.bloomreach.com/discovery/reference/recommendations-and-pathways-apis) product and is no longer available for new integrations.

More Like This (MLT) extends search results to show visitors more products similar to a product that they already searched for or viewed. MLT displays products based on user searches, category searches, and product views. For example, if a user looks at a red cocktail dress, then MLT might display links to other cocktail dresses or matching shoes and other accessories.

## Endpoints

**Production**: `http://core.dxpapi.com/api/v1/core/?`\
**Staging**: `http://staging-core.dxpapi.com/api/v1/core/?`

## Example request and response

```curl MLT request
GET https://core.dxpapi.com/api/v1/core/?
account_id=<Bloomreach Provided Account ID>
&domain_key=example_com
&request_id=8438674518839
&url=test
&request_type=mlt
&rows=5
&start=0
&pid=1000065194
&title=Boys Graphic Tee
&fl=pid,title
```
```json MLT response
{
 "response": {
 
   "numFound": 284,
   "start": 0,
   "docs": [
 
     {
 
       "pid": "1000068980",
       "title": "Strapless Tea Length Lace Dress with Sweetheart Neckline"
     }
,
     {
 
       "pid": "1000063663",
       "title": "Sleeveless Short Prom Dress with Illusion Lace and Pleated Skirt"
     }
,
     {
 
       "pid": "1000065223",
       "title": "Short Lace Prom Dress with Pleated Illusion Neckline"
     }
,
     {
 
       "pid": "1000063668",
       "title": "Two Tone Short Prom Dress with Scalloped Lace Illusion Bodice"
     }
,
     {
 
       "pid": "1000064025",
       "title": "Glitter Short Prom Dress with Spaghetti Straps and Lace Waist"
 ]
 
}
```

> ❗️
>
> API requests should be limited to 16K Bytes. API requests above this length will throw [ Error Code 414](https://documentation.bloomreach.com/discovery/reference/api-error-codes).

> 📘 Merchandising parameters
>
> For a full list of the supported merchandising parameters on this API, refer to the [Real-time API merchandising](https://documentation.bloomreach.com/discovery/reference/real-time-api-merchandising) page.

## Native mobile app and non-JS integration

API requests for native mobile apps or non-JS environments need different values for some parameters:

* **\_br\_uid\_2**: The value should be the same as described on the [Cookie page](https://documentation.bloomreach.com/discovery/reference/cookie-_br_uid_2). Generate a br\_uid\_2 for your app user and store it in the app permanently if a br\_uid\_2 does not exist. This br\_uid\_2 should be used on the corresponding API calls for the app. If the user is on iPhone and resets their IDFA, or if the user is on an Android device and resets their advertising settings: the br\_uid\_2 should be erased and regenerated the next time the app is set.
* **ref\_url**: Leave your ref\_url parameters empty.
* **url**: Use a dummy value for your url parameters, such as exampledomain.app.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "more-like-this-mlt-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://core.dxpapi.com/api/v1/core"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/": {
      "get": {
        "summary": "More Like This API (MLT) [deprecated]",
        "description": "",
        "operationId": "mlt-api",
        "parameters": [
          {
            "name": "account_id",
            "in": "query",
            "description": "Your site's numerical Bloomreach account ID. Your Bloomreach representative gives your site's account ID to you before or during your integration kickoff meeting. <br><br> The value shown here, <i>6702</i>, is included for your convenience to send a request with <b>Try It</b>.",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 6702
            }
          },
          {
            "name": "auth_key",
            "in": "query",
            "description": "The Bloomreach-provided authentication key for the Bloomreach account that's sending the request. You must pass this parameter, but if your integration is client-side, then you can send it empty.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "_br_uid_2",
            "in": "query",
            "description": "A first-party cookie created by the Bloomreach tracking pixel library (BrTrk). This cookie creates a unique, anonymous identifier for every browser or device. <br><br> Use the default value provided, which is already encoded.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "uid%3D7797686432023%3Av%3D11.5%3Ats%3D1428617911187%3Ahc%3D55"
            }
          },
          {
            "name": "domain_key",
            "in": "query",
            "description": "Your site domain's ID, which is provided by Bloomreach. This ID is for the domain that you want to receive your Bloomreach API requests.  This parameter identifies the specific site version when the one account ID hosts multiple site versions with unique characteristics, such as language versions. Bloomreach uses your domain_key parameter value to ensure that only the data that pertains to that site version is used for query and analytics features, such as autosuggestions.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "fl",
            "in": "query",
            "description": "The attributes that you want returned in your API response, such as product IDs and prices. <br><br> All fl parameters must include **pid** as one of their values. Any attribute from your product feed may be used as a value for fl. <br><br> Multiple values should be comma separated, such as **fl=pid,price**.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "pid",
            "in": "query",
            "description": "The unique identifier for a product in the feed.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "request_id",
            "in": "query",
            "description": "An ID to track site visitor clicks. We recommend that you generate unique, random values of 13 digits to enable click-tracking. <br><br> Bloomreach doesn't automatically enforce the requirements for this parameter. For example, you can enter test as your value for each instance of the request_id parameter without triggering an error message. However, using a unique value allows us to help you if you encounter a problem.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "request_type",
            "in": "query",
            "description": "The type of API request. Value should be **mlt** for MLT requests.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "mlt"
              ],
              "default": "mlt"
            }
          },
          {
            "name": "rows",
            "in": "query",
            "description": "The number of matching items to return per results page in the API response. The maximum value is 200. <br><br> To enhance performance, limit this value to the number of items that you think is reasonable for a single page of search results.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "start",
            "in": "query",
            "description": "The first page number of results. <br><br> The maximum value is 500.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "title",
            "in": "query",
            "description": "The title or name of the product. Title is used to identify similar products in edge cases to avoid 0 results.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "url",
            "in": "query",
            "description": "The absolute URL of the page where the request is initiated. Do not use a relative URL.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "brand",
            "in": "query",
            "description": "The brand of the product.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "callback",
            "in": "query",
            "description": "Indicates whether to return data wrapped in the function for cross-origin requests. <br><br> For server-side requests, use the value **br_server**. For native-app requests, use the value **br_app**.",
            "schema": {
              "type": "string",
              "enum": [
                "br_server",
                "br_app"
              ]
            }
          },
          {
            "name": "fq",
            "in": "query",
            "description": "The fq parameter applies a faceted filter to the returned products, searching for products that fit your parameter values. <br><br> Any facet that you want to filter must be in your feed.  Read more about using the fq parameter in the \"Simple Filtering\" section in the [Faceting and filtering page](ref:faceting-and-filtering). <br><br> Attributes must be enabled and mapped by Bloomreach Let your Bloomreach representative know which attributes in your content feed you want to apply as filters to search results.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "Sorts results based on the field value in ascending, descending, or another combination of orders. You can sort any fl field. <br><br> Value is a field name, followed by **asc**/**desc** for ascending/descending order respectively. For example, **sort=sale_price desc** sorts in descending order of the sale price",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "user_id",
            "in": "query",
            "description": "The universal customer ID of the user. You only need to pass this field if your particular integration tracks customers this way.  The parameter captures user IDs from the customer side, and reuses the information when powering apps or enhancing cross-device linking. In this way, Bloomreach recognizes users in a way that's aligned with your system. <br><br> Use an anonymous string. Don't use email or other personally identifiable information. <br><br> If you do not track users this way, then omit this field.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "view_id",
            "in": "query",
            "description": "A unique identifier for a specific view of your product catalog. If you have multiple versions of your site, each with their own product catalog characteristics like product titles and prices, then add view_id to your call. <br><br> Bloomreach uses your view_id parameter value to display the right product information for your customers based on their individual site views.  You can enter any string value to identify the specific site catalog view. This string must be consistent in your pixel, API, and product catalog.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```